#!/bin/perl -w
#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/Lapd.pm $
#
#      $Id: Lapd.pm 1.1 2000/02/29 17:51:00 tiktin Release $
#
#  MODULE DESCRIPTION
#
#    Perl5 package module for LayGO for Perl (all platforms).
#
#******************************************************************************

package Laygo::Lapd;

use	strict;
use	Exporter;
use	Carp;
use	vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS $AUTOLOAD);

my $PREFIX	 = "^Laygo::Lapd::";
my %CONSTANT =
	(
		"lapd_TIMER_T200_NO_RESPONSE",	0,
		"lapd_TIMER_T201_TEI_CHECK",	1,
		"lapd_TIMER_T202_TEI_REQUEST",	2,
		"lapd_TIMER_T203_NO_TRAFFIC",	3,
		"lapd_TIMER_ACKNOWLEDGE",		4,
		"lapd_STAT_TEI_T200_TIMEOUTS",	0,
		"lapd_STAT_TEI_T203_TIMEOUTS",	1,
		"lapd_STAT_TEI_INVALID_SAPI",	2,
		"lapd_STAT_TEI_TX_I",			3,
		"lapd_STAT_TEI_TX_RR",			4,
		"lapd_STAT_TEI_TX_RNR",			5,
		"lapd_STAT_TEI_TX_REJ",			6,
		"lapd_STAT_TEI_TX_SABME",		7,
		"lapd_STAT_TEI_TX_DISC",		8,
		"lapd_STAT_TEI_TX_DM",			9,
		"lapd_STAT_TEI_TX_UA",			10,
		"lapd_STAT_TEI_TX_UI",			11,
		"lapd_STAT_TEI_TX_XID",			12,
		"lapd_STAT_TEI_TX_FRMR",		13,
		"lapd_STAT_TEI_RX_I",			14,
		"lapd_STAT_TEI_RX_RR",			15,
		"lapd_STAT_TEI_RX_RNR",			16,
		"lapd_STAT_TEI_RX_REJ",			17,
		"lapd_STAT_TEI_RX_SABME",		18,
		"lapd_STAT_TEI_RX_DISC",		19,
		"lapd_STAT_TEI_RX_DM",			20,
		"lapd_STAT_TEI_RX_UA",			21,
		"lapd_STAT_TEI_RX_UI",			22,
		"lapd_STAT_TEI_RX_XID",			23,
		"lapd_STAT_TEI_RX_FRMR",		24,
		"lapd_STAT_TEI_MAX",			25,
		"lapd_STAT_INVALID_FRAME",		0,
		"lapd_STAT_INVALID_TEI",		1,
		"lapd_STAT_CONTINUITY_MESSAGE",	2,
		"lapd_STAT_MAX",				3,
		"lapd_IOCTL_ASSIGN_TEI",		0,
		"lapd_IOCTL_RELEASE_TEI",		1,
		"lapd_IOCTL_CONTINUITY_CHECK",	2,
		"lapd_IOCTL_MAX",				3,
		"lapd_MSG_MAX",					0
	);

$VERSION		= "2.20";
@ISA			= qw(Exporter);
@EXPORT			= keys(%CONSTANT);
%EXPORT_TAGS	= ();
@EXPORT_OK		= ();

sub AUTOLOAD
{
    my ($constname, $value);

    ($constname	= $AUTOLOAD) =~ s/$PREFIX//;
	 $value		= $CONSTANT{ $constname };

	if (defined $value)
	{
	    return $value;
	}
	else
	{
		croak "Undefined macro name $AUTOLOAD";
	}
}

1;

__END__

#******************************************************************************
#                                   End of File                               *
#******************************************************************************

