#!/bin/perl -w
#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/Laygo.pm $
#
#      $Id: Laygo.pm 1.1 2000/02/29 17:51:01 tiktin Release $
#
#  MODULE DESCRIPTION
#
#    Perl5 package module for LayGO for Perl (all platforms).
#
#    This file was automatically generated by SWIG 1.1.
#
#******************************************************************************

package Laygo;

require 5.004;

use	strict;
use	Exporter;
use	DynaLoader;
use	Carp;
use	vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS $AUTOLOAD);

my $PREFIX	 = "^Laygo::";
my %CONSTANT =
	(
		"SUMMARY_MAX",									8,
		"STAT_MAX",										32,
		"INVALID_CID",									-1,
		"INVALID_PROTOCOL",								-1,
		"INVALID_EVENT",								-1,
		"INVALID_STATE",								-2,
		"INVALID_MAJOR_ID",								-1,
		"INVALID_MINOR_ID",								-1,
		"ERROR_MIN",									-52,
		"ERROR_INVALID_USER_ID",						-51,
		"ERROR_INVALID_HARDWARE_VERSION",				-50,
		"ERROR_INVALID_DRIVER_VERSION",					-49,
		"ERROR_CLIENTS_CONNECTED",						-48,
		"ERROR_SERVER_NOT_CONNECTED",					-47,
		"ERROR_SERVER_CONNECTED",						-46,
		"ERROR_INVALID_CONFIGURATION",					-45,
		"ERROR_INVALID_PROTOCOL",						-44,
		"ERROR_CONFIGURATION_FILE_WRITE_ERROR",			-43,
		"ERROR_INVALID_DRIVER_CONFIGURATION",			-42,
		"ERROR_INVALID_STACK_CONFIGURATION",			-41,
		"ERROR_PROTOCOL_BLOCKING",						-40,
		"ERROR_INVALID_WRITE_DATA_SIZE",				-39,
		"ERROR_WRITE_QUEUE_FULL",						-38,
		"ERROR_SERVER_NOT_FOUND",						-37,
		"ERROR_SERVER_ACCESS_NOT_ENABLED",				-36,
		"ERROR_DRIVER_MODULE_FILE_NOT_FOUND",			-35,
		"ERROR_DRIVER_MODULE_FILE_READ_ERROR",			-34,
		"ERROR_INVALID_STACK_ID",						-33,
		"ERROR_INVALID_BOARD_ID",						-32,
		"ERROR_DRIVER_MODULE_INITIALIZATION_FAILURE",	-31,
		"ERROR_INVALID_DRIVER_MODULE",					-30,
		"ERROR_DRIVER_NOT_INSTALLED",					-29,
		"ERROR_HARDWARE_CONFIGURATION_CONLICT",			-28,
		"ERROR_INVALID_HARDWARE_CONFIGURATION",			-27,
		"ERROR_SPECIAL_DATA_WAITING",					-26,
		"ERROR_INVALID_CID",							-25,
		"ERROR_INVALID_COMMAND",						-24,
		"ERROR_INVALID_INPUT_BUFFER",					-23,
		"ERROR_INVALID_OUTPUT_BUFFER",					-22,
		"ERROR_BUFFER_SIZE",							-21,
		"ERROR_NO_SYSTEM_BUFFER",						-20,
		"ERROR_TRANSMISSION_BLOCKED",					-19,
		"ERROR_SERVICE_DATABASE_NOT_FOUND",				-18,
		"ERROR_SERVICE_UNKNOWN",						-17,
		"ERROR_SERVICE_NOT_AVAILABLE",					-16,
		"ERROR_EVENT_WAITING",							-15,
		"ERROR_DATA_WAITING",							-14,
		"ERROR_NOTHING_WAITING",						-13,
		"ERROR_INVALID_IOCTL_FUNCTION",					-12,
		"ERROR_INVALID_IOCTL_PARAMETERS",				-11,
		"ERROR_HARDWARE_INITIALIZATION_FAILURE",		-10,
		"ERROR_BUFFER_POOL_INITIALIZATION_FAILURE",		-9,
		"ERROR_STACK_INITIALIZATION_FAILURE",			-8,
		"ERROR_OUT_OF_CONNECTIONS",						-7,
		"ERROR_OUT_OF_MEMORY",							-6,
		"ERROR_CONFIGURATION_FILE_NOT_FOUND",			-5,
		"ERROR_CONFIGURATION_FILE_READ_ERROR",			-4,
		"ERROR_UNKNOWN_PROTOCOL",						-3,
		"ERROR_CONFIGURATION_NOT_DEFINED",				-2,
		"ERROR_CONFIGURATION_NOT_FOUND",				-1,
		"ERROR_MAX",									0,
		"EVENT_CONNECT",								0,
		"EVENT_DISCONNECT",								1,
		"EVENT_CONFIRM",								2,
		"EVENT_LISTEN",									3,
		"EVENT_ACCEPT",									4,
		"EVENT_REFUSE",									5,
		"EVENT_CANCEL",									6,
		"EVENT_WRITE",									7,
		"EVENT_XOFF",									8,
		"EVENT_XON",									9,
		"EVENT_RESET",									10,
		"EVENT_REOPEN",									11,
		"EVENT_IOCTL",									12,
		"EVENT_USER_EVENT_MAX",							13,
		"EVENT_CONNECT_REQUEST",						13,
		"EVENT_CONNECTED",								14,
		"EVENT_CONNECT_TIMEOUT",						15,
		"EVENT_CONNECT_ACCEPT",							16,
		"EVENT_CONNECT_REFUSE",							17,
		"EVENT_DISCONNECT_REQUEST",						18,
		"EVENT_DISCONNECTED",							19,
		"EVENT_DISCONNECTING",							20,
		"EVENT_DISCONNECT_TIMEOUT",						21,
		"EVENT_DISCONNECT_CONFIRMATION",				22,
		"EVENT_XOFF_REQUEST",							23,
		"EVENT_XON_REQUEST",							24,
		"EVENT_RESETTING",								25,
		"EVENT_RESET_COMPLETED",						26,
		"EVENT_RESET_TIMEOUT",							27,
		"EVENT_DATA_OK",								28,
		"EVENT_DATA_LENGTH_ERROR",						29,
		"EVENT_DATA_CRC_ERROR",							30,
		"EVENT_DATA_ABORTED_FRAME",						31,
		"EVENT_PROTOCOL_MESSAGE",						32,
		"EVENT_PACKET_EVENT_MAX",						33,
		"EVENT_MAX",									33,
		"EVENT_DATA_SPECIAL",							33,
		"EVENT_NONE",									-13,
		"PROTOCOL_SDLC_HARDWARE",						0,
		"PROTOCOL_SYSTEM_BUFFER_POOL",					1,
		"PROTOCOL_SYSTEM_STACK",						2,
		"PROTOCOL_RESERVED_3",							3,
		"PROTOCOL_X21_BIS",								4,
		"PROTOCOL_HDLC_LAPB",							5,
		"PROTOCOL_X25_MAJOR_DEVICE",					6,
		"PROTOCOL_X25_PVC",								7,
		"PROTOCOL_X25_SVC",								8,
		"PROTOCOL_RETURN",								9,
		"PROTOCOL_HDLC_NRM",							10,
		"PROTOCOL_FRAME_RELAY_MAJOR_DEVICE",			11,
		"PROTOCOL_FRAME_RELAY_VC",						12,
		"PROTOCOL_FRAME_RELAY_SVC",						13,
		"PROTOCOL_LAPD_MAJOR_DEVICE",					14,
		"PROTOCOL_LAPD_TEI",							15,
		"PROTOCOL_RESERVED_16",							16,
		"PROTOCOL_RESERVED_17",							17,
		"PROTOCOL_MAX",									18,
		"STATE_CLOSED",									-1,
		"STATE_OPEN",									0,
		"STATE_WAITING_FOR_REMOTE_ACCEPT",				1,
		"STATE_LISTENING",								2,
		"STATE_WAITING_FOR_LOCAL_ACCEPT",				3,
		"STATE_DATA_TRANSFER_XON",						4,
		"STATE_DATA_TRANSFER_XOFF",						5,
		"STATE_RESETTING",								6,
		"STATE_WAITING_FOR_REMOTE_CONFIRMATION",		7,
		"STATE_WAITING_FOR_LOCAL_CONFIRMATION",			8,
		"STATE_MAX",									9
	);

my @FUNCTION =
	(
		"lgo_BufferNew",
		"lgo_BufferFree",
		"lgo_BufferGet",
		"lgo_BufferSet",
		"lgo_Attach",
		"lgo_AttachProtocol",
		"lgo_ClearStatistics",
		"lgo_Close",
		"lgo_ConnectAccept",
		"lgo_ConnectReject",
		"lgo_ConnectRequest",
		"lgo_Detach",
		"lgo_DiscardData",
		"lgo_DisconnectConfirm",
		"lgo_DisconnectRequest",
		"lgo_Event",
		"lgo_GetConfiguration",
		"lgo_GetStatistics",
		"lgo_GetStatus",
		"lgo_Initialize",
		"lgo_Ioctl",
		"lgo_Listen",
		"lgo_ListenCancel",
		"lgo_LoadConfiguration",
		"lgo_MaxBufferSize",
		"lgo_Open",
		"lgo_OpenProtocol",
		"lgo_Poll",
		"lgo_Pop",
		"lgo_Protocol",
		"lgo_Push",
		"lgo_Read",
		"lgo_ReadNext",
		"lgo_ReadSpecial",
		"lgo_Reopen",
		"lgo_ResetRequest",
		"lgo_SaveConfiguration",
		"lgo_SetConfiguration",
		"lgo_State",
		"lgo_Uninitialize",
		"lgo_Write",
		"lgo_WriteSpecial",
		"lgo_Xoff",
		"lgo_Xon",
		"lgo_ActivateStack",
		"lgo_ConfigureStack",
		"lgo_DisableStack",
		"lgo_EnableStack",
		"lgo_GetBufferPoolStatistics",
		"lgo_GetBufferPoolStatus",
		"lgo_GetHardwareId",
		"lgo_InitializeServiceDatabase",
		"lgo_InitializeStack",
		"lgo_SetDefaultConfiguration",
		"lgo_UninitializeServiceDatabase",
		"lgo_UninitializeStack",
		"lgo_ValidateUserId",
		"lgo_DownloadDriverModule",
		"lgo_CheckDriverModuleInitialization",
		"lgo_InitializeHardware",
		"lgo_CheckHardwareInitialization",
		"lgo_ConnectServer",
		"lgo_ConnectServerIp",
		"lgo_ConnectServerLocal",
		"lgo_DisconnectServer",
		"lgo_HeartbeatServer",
		"lgo_ShutdownServer",
		"lgo_ErrorMessage",
		"lgo_EventMessage",
		"lgo_ProtocolMessage",
		"lgo_StateMessage",
		"lgo_StatisticMessages"
	);

$VERSION		= "2.20";
@ISA			= qw(Exporter DynaLoader);
@EXPORT			= ( @FUNCTION, keys(%CONSTANT) );
%EXPORT_TAGS	= ();
@EXPORT_OK		= ();

bootstrap Laygo;

$Laygo::NULL = lgo_BufferNew(4) unless defined($Laygo::NULL);

sub AUTOLOAD
{
    my ($constname, $value);

    ($constname	= $AUTOLOAD) =~ s/$PREFIX//;
	 $value		= $CONSTANT{ $constname };

	if (defined $value)
	{
	    return $value;
	}
	else
	{
		croak "Undefined macro name $AUTOLOAD";
	}
}

1;

__END__

#******************************************************************************
#                                   End of File                               *
#******************************************************************************
