#!/bin/perl -w
#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/X21bis.pm $
#
#      $Id: X21bis.pm 1.1 2000/02/29 17:51:01 tiktin Release $
#
#  MODULE DESCRIPTION
#
#    Perl5 package module for LayGO for Perl (all platforms).
#
#******************************************************************************

package Laygo::X21bis;

use	strict;
use	Exporter;
use	Carp;
use	vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS $AUTOLOAD);

my $PREFIX	 = "^Laygo::X21bis::";
my %CONSTANT =
	(
		"phys_SIGNAL_CTS",					0x0001,
		"phys_SIGNAL_DCD",					0x0002,
		"phys_SIGNAL_DSR",					0x0004,
		"phys_SIGNAL_FLG",					0x0008,
		"phys_SIGNAL_RTS",					0x0020,
		"phys_SIGNAL_DTR",					0x0040,
		"phys_CLOCK_SINK",					0,
		"phys_CLOCK_SOURCE",				1,
		"phys_CLOCK_SYMMETRIC",				2,
		"phys_CLOCK_SINK_RX",				3,
		"phys_CLOCK_SINK_TX",				4,
		"phys_CLOCK_SINK_NOISE_SUPPRESS",	5,
		"phys_CLOCK_NRZI_ENCODING",			6,
		"phys_CLOCK_FM0_ENCODING",			7,
		"phys_CLOCK_FM1_ENCODING",			8,
		"phys_CLOCK_MANCHESTER_ENCODING",	9,
		"phys_CLOCK_MAX",					10,
		"phys_TIMER_CONNECT",				0,
		"phys_TIMER_DISCONNECT",			1,
		"phys_TIMER_RESET",					2,
		"phys_TIMER_RECONNECT",				3,
		"phys_TIMER_IDLE",					4,
		"phys_TIMER_MAX",					5,
		"phys_IOCTL_SWITCH_LINES",			0,
		"phys_IOCTL_MODEM_CONTROL",			1,
		"phys_IOCTL_GET_SIGNALS",			2,
		"phys_IOCTL_MAX",					3,
		"phys_SIZEOF_SIGNAL_DATA",			4,
		"phys_STAT_FRAMES_SENT",			0,
		"phys_STAT_FRAMES_RECEIVED",		1,
		"phys_STAT_CRC_ERRORS",				2,
		"phys_STAT_LENGTH_ERRORS",			3,
		"phys_STAT_ABORTED_FRAMES",			4,
		"phys_STAT_IDLE_TIMEOUTS",			5,
		"phys_STAT_HARDWARE_ANOMALIES",		6,
		"phys_STAT_HARDWARE_NO_BUFFERS",	7,
		"phys_STAT_SYSTEM_NO_BUFFERS",		8,
		"phys_STAT_MAX",					9,
		"phys_MSG_MAX",						0,
	);

$VERSION		= "2.20";
@ISA			= qw(Exporter);
@EXPORT			= keys(%CONSTANT);
%EXPORT_TAGS	= ();
@EXPORT_OK		= ();

sub AUTOLOAD
{
    my ($constname, $value);

    ($constname	= $AUTOLOAD) =~ s/$PREFIX//;
	 $value		= $CONSTANT{ $constname };

	if (defined $value)
	{
	    return $value;
	}
	else
	{
		croak "Undefined macro name $AUTOLOAD";
	}
}

1;

__END__

#******************************************************************************
#                                   End of File                               *
#******************************************************************************
