#!/bin/perl -w
#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/X25.pm $
#
#      $Id: X25.pm 1.1 2000/02/29 17:51:01 tiktin Release $
#
#  MODULE DESCRIPTION
#
#    Perl5 package module for LayGO for Perl (all platforms).
#
#******************************************************************************

package Laygo::X25;

use	strict;
use	Exporter;
use	Carp;
use	vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS $AUTOLOAD);

my $PREFIX	 = "^Laygo::X25::";
my %CONSTANT =
	(
		"pkt_D_BIT",										0x1,
		"pkt_M_BIT",										0x2,
		"pkt_Q_BIT",										0x4,
		"pkt_TIMER_T20_RESTART",							0,
		"pkt_TIMER_T28_REGISTRATION",						1,
		"pkt_TIMER_MAX",									2,
		"pkt_TIMER_T21_CALL",								0,
		"pkt_TIMER_T22_RESET",								1,
		"pkt_TIMER_T23_CLEAR",								2,
		"pkt_TIMER_T24_WINDOW_STATUS",						3,
		"pkt_TIMER_T25_WINDOW_ROTATION",					4,
		"pkt_TIMER_VC_MAX",									5,
		"pkt_IOCTL_DEBUG_WRITE",							0,
		"pkt_IOCTL_MAX",									1,
		"pkt_IOCTL_SEND_INTERRUPT",							0,
		"pkt_IOCTL_SEND_INTERRUPT_CONFIRMATION",			1,
		"pkt_IOCTL_REQUEST_RESTART",						2,
		"pkt_IOCTL_VC_MAX",									3,
		"pkt_STAT_PACKET_TOO_SHORT",						0,
		"pkt_STAT_INVALID_GFI",								1,
		"pkt_STAT_PACKET_ON_UNASSIGNED_LOGICAL_CHANNEL",	2,
		"pkt_STAT_MAX",										3,
		"pkt_STAT_DATA_SENT",								0,
		"pkt_STAT_RR_SENT",									1,
		"pkt_STAT_RNR_SENT",								2,
		"pkt_STAT_RESETS_SENT",								3,
		"pkt_STAT_DATA_RECEIVED",							4,
		"pkt_STAT_RR_RECEIVED",								5,
		"pkt_STAT_RNR_RECEIVED",							6,
		"pkt_STAT_RESETS_RECEIVED",							7,
		"pkt_STAT_UNKNOWN_PACKETS",							8,
		"pkt_STAT_VC_MAX",									9,
		"pkt_MSG_DIAGNOSTIC",								0,
		"pkt_MSG_INTERRUPT",								1,
		"pkt_MSG_INTERRUPT_CONFIRMATION",					2,
		"pkt_MSG_MAX",										3
	);

$VERSION		= "2.20";
@ISA			= qw(Exporter);
@EXPORT			= keys(%CONSTANT);
%EXPORT_TAGS	= ();
@EXPORT_OK		= ();

sub AUTOLOAD
{
    my ($constname, $value);

    ($constname	= $AUTOLOAD) =~ s/$PREFIX//;
	 $value		= $CONSTANT{ $constname };

	if (defined $value)
	{
	    return $value;
	}
	else
	{
		croak "Undefined macro name $AUTOLOAD";
	}
}

1;

__END__

#******************************************************************************
#                                   End of File                               *
#******************************************************************************

