#!/bin/perl -w
#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/images.pl $
#
#      $Id: images.pl 1.1 2000/02/29 17:51:47 tiktin Release $
#
#  MODULE DESCRIPTION
#
#    Exports XPM image data for pltdrv.
#
#******************************************************************************

use strict;

sub leddark
{
	return <<LEDDARK;
/* XPM */
static char * leddarkgray_xpm[] = {
"17 17 4 1",
" 	c none",
".	c #808080808080",
"X	c #000000000000",
"o	c #FFFFFFFFFFFF",
"      .....      ",
"    .........    ",
"   ...XXXXX...   ",
"  ..XX.....XXoo  ",
" ..XX..ooo..XXoo ",
" ..X.ooo.....Xoo ",
"..X..oo.......Xoo",
"..X.oo.....X.XXoo",
"..X..o.......XXoo",
"..X.........XXXoo",
"..X........XXXXoo",
" ..X.......XXXoo ",
" ..XX....XXXXXoo ",
"  ooXXXXXXXXXoo  ",
"   oooXXXXXooo   ",
"    ooooooooo    ",
"      ooooo      "};
LEDDARK
}

sub ledgray
{
	return <<LEDGRAY;
/* XPM */
static char * ledgray_xpm[] = {
"17 17 5 1",
" 	c none",
"+ 	c #C0C0C0C0C0C0",
".	c #808080808080",
"X	c #000000000000",
"o	c #FFFFFFFFFFFF",
"      .....      ",
"    .........    ",
"   ...XXXXX...   ",
"  ..XX+++++XXoo  ",
" ..XX++ooo++XXoo ",
" ..X+ooo+++++Xoo ",
"..X++oo+++++++Xoo",
"..X+oo+++++.+.Xoo",
"..X++o+++++++.Xoo",
"..X+++++++++..Xoo",
"..X++++++++...Xoo",
" ..X+++++++..Xoo ",
" ..XX++++...XXoo ",
"  ooXX.....XXoo  ",
"   oooXXXXXooo   ",
"    ooooooooo    ",
"      ooooo      "};
LEDGRAY
}

sub ledgreen
{
	return <<LEDGREEN;
/* XPM */
static char * ledgreen_xpm[] = {
"17 17 6 1",
" 	c none",
".	c #808080808080",
"X	c #000000000000",
"o	c #0000FFFF0000",
"O	c #FFFFFFFFFFFF",
"+	c #000080800000",
"      .....      ",
"    .........    ",
"   ...XXXXX...   ",
"  ..XXoooooXXOO  ",
" ..XXooOOOooXXOO ",
" ..XoOOOoooooXOO ",
"..XooOOoooooooXOO",
"..XoOOooooo+o+XOO",
"..XooOooooooo+XOO",
"..Xooooooooo++XOO",
"..Xoooooooo+++XOO",
" ..Xooooooo++XOO ",
" ..XXoooo+++XXOO ",
"  OOXX+++++XXOO  ",
"   OOOXXXXXOOO   ",
"    OOOOOOOOO    ",
"      OOOOO      "};
LEDGREEN
}

sub ledred
{
	return <<LEDRED;
/* XPM */
static char * ledred_xpm[] = {
"17 17 6 1",
" 	c none",
".	c #808080808080",
"X	c #000000000000",
"o	c #FFFF00000000",
"O	c #FFFFFFFFFFFF",
"+	c #808000000000",
"      .....      ",
"    .........    ",
"   ...XXXXX...   ",
"  ..XXoooooXXOO  ",
" ..XXooOOOooXXOO ",
" ..XoOOOoooooXOO ",
"..XooOOoooooooXOO",
"..XoOOooooo+o+XOO",
"..XooOooooooo+XOO",
"..Xooooooooo++XOO",
"..Xoooooooo+++XOO",
" ..Xooooooo++XOO ",
" ..XXoooo+++XXOO ",
"  OOXX+++++XXOO  ",
"   OOOXXXXXOOO   ",
"    OOOOOOOOO    ",
"      OOOOO      "};
LEDRED
}

sub pltdrvlogo
{
	return <<PLTDRVLOGO;
/* XPM */
static char * pltdrvlogo_xpm[] = {
"79 32 16 1",
" 	c #000000008080",
".	c #AAAAAAAA5555",
"X	c #FFFFFFFF0000",
"o	c #D4D4D4D45555",
"O	c #AAAAAAAA7F7F",
"+	c #AAAA00007F7F",
"@	c #AAAA00005555",
"#	c #7F7F00007F7F",
"^	c #D4D400002A2A",
"%	c #FFFF00000000",
"&	c #D4D4D4D42A2A",
"*	c #7F7F7F7F7F7F",
"=	c #727272727272",
"-	c #D4D400005555",
";	c #808080808080",
":	c #555500007F7F",
"                                                                               ",
"                                                                               ",
"                           .XX.                                                ",
"                          .XXXo                                                ",
"                          oXXXO                                                ",
"                          XXXX                                                 ",
"                         .XXXo                    +@#                          ",
"                         oXXXO                    ^%^                          ",
"                         XXXX    +@#              %%%                          ",
"          oXX..oXX&.    .XXXo    ^%^              %%%                          ",
"         oXXXXXXXXXX.   &XXX*    %%%              %%%                          ",
"        =XXXXXXXXXXXo  =XXX&     %%%              %%%                          ",
"        .XXXXXXXXXXXX  .XXXo #^%%%%%%%^+    @-%%^-%%%  -%- @-%%^#@%-     -%@   ",
"        &XXXXo* .XXX&  &XXX* @%%%%%%%%%@   -%%%%%%%%%  %%%^%%%%%-%%%#   #%%%   ",
"       =XXX&=   ;XXXo =XXX&  #-^%%%%%%^#  -%%%%%%%%%%  %%%%%%%%%%-%%-   -%%-   ",
"       .XXXo    .XXX. .XXXo      %%%     #%%%@  :^%%%  %%%%^@ %%%+%%^   ^%%@   ",
"       &XXX*    &XXX* &XXX*      %%%     -%%@     %%%  %%%^   %%% ^%%@ +%%^    ",
"      =XXX&    =XXX& =XXX&       %%%     ^%%:     %%%  %%%    -%@ @%%- -%%-    ",
"      .XXXo    oXXX. .XXXo       %%%     %%%      %%%  %%%        :%%%#%%%:    ",
"      &XXX.  *oXXX&  &XXX*       %%%     %%%      %%%  %%%         -%%^%%-     ",
"     =XXXXXXXXXXXX= =XXX&        %%%     ^%%@     %%%  %%%         +%%%%%@     ",
"     .XXXXXXXXXXX*  .XXX.        %%%     @%%%@  #^%%%  %%%          ^%%%^      ",
"     &XXXXXXXXXo=   oXXX=        %%%      ^%%%%%%%%%%  %%%          @%%%@      ",
"    =XXXX&XX&o;     .X&*         ^%^      #^%%%%%%%%%  ^%^          :%%%       ",
"    oXXX.                        #@#        @^%%^--%-  +@#           @%-       ",
"    &XXX=                                                                      ",
"   *XXX&                                                                       ",
"   oXXX.                                                                       ",
"   &XXX=                                                                       ",
"   oX&O                                                                        ",
"                                                                               ",
"                                                                               "};
PLTDRVLOGO
}

sub usingpltdrv
{
	return <<USINGPLTDRV;
**************************************************************
*                                                            *
*                         LayGO (tm)                         *
*    Copyright (c) 1998-2000 by Advanced Relay Corporation   *
*                   All rights reserved.                     *
*                                                            *
**************************************************************

Using pltdrv
------------

pltdrv is a LayGO program written in Perl5 using the Tk
Toolkit.  pltdrv is designed to test the LayGO device
driver and communication board with the protocol stack
software.  It can be used in either hardware loopback mode
or to connect to another system in a "back-to-back" setup.

pltdrv uses only the X.21 bis physical layer protocol.  It
is not a general LayGO test program, and it is not designed
to connect to a network or other equipment requiring higher
layer protocols.  However, it may be used to test the
physical connection to such a network or device.  pltdrv
will display the status of the physical signals and the
contents of any frames received.  Using the Test Data
feature discussed below, the user can also send previously
prepared frames to emulate a higher layer protocol.

Starting pltdrv:

The command-line syntax for pltdrv is:

     perl pltdrv [ cfg file list ]

where [ cfg file list ] is an ordered list of .cfg files
pltdrv will use to configure the stack at startup.  For
instance, to test hardware loopback, start pltdrv with the
command-line:

     perl pltdrv stackx.cfg loopback.cfg

where the 'x' in 'stackx.cfg' is the LayGO Board Identifier
for the installed device driver, such as '6' for the LayGO
Hardware Emulator.

Running pltdrv:

10 buttons on the main display control the operation of
pltdrv.  Most button names are shortened versions of the
LayGO API functions they invoke.  (The exception is "Full
Duplex" which toggles full speed data transfer.)  The
operations available at any time depend on the state of the
connection.  Buttons for operations which are not available
are grayed out but become active as pltdrv changes state.

To start, select a line number, then press "Open" and either
"Connect" or "Listen".

Menu Options:

   Logging

The Logging menu allows the user to set the level of detail
displayed in the log window and to clear the log display.

   Statistics

The Statistics menu gives the user access to statistics and
status report data from an open X.21 bis device.  It also
allows the user to clear the device statistics and the send
and receive counters in the display.

   Data

The Data menu allows the user to load test data frames
from a file and, once in data transfer state, to select
individual frames to send.

Verified Transmission:

When pltdrv exchanges data with another system, the user
can choose to enable the verified transmission protocol.
Using this protocol, each system repeatedly sends a
predetermined sequence of frames.  Since the contents of
every frame is known in advance, the receiver can verify
that the frames are received correctly and in order and
report any discrepancies.  Verified transmission provides
an automated test of the physical integrity of the installed
communication equipment, but requires 2 systems each running
pltdrv.

Test Data:

Test data frames are prerecorded byte sequences which can be
read into the program as binary data from a ordinary text
file.  The default extension for test data files is .dat.

Each frame in the file begins with a title enclosed in
square brackets followed by any number of lines of hex-coded
bytes.  Blank lines and lines starting with a '#' (pound
sign) are ignored.  The following is a sample file which
contains 12 HDLC LAPB supervisory frames:

    #
    #   lapb.dat
    #
    #   HDLC LAPB supervisory frames (modulo 8)
    #
    [DTE SABM P=0]
    01 2F

    [DTE SABM P=1]
    01 3F

    [DCE SABM P=0]
    03 2F

    [DCE SABM P=1]
    03 3F

    [DTE DISC P=0]
    01 43

    [DTE DISC P=1]
    01 53

    [DCE DISC P=0]
    03 43

    [DCE DISC P=1]
    03 53

    [DTE UA P=0]
    03 63

    [DTE UA P=1]
    03 73

    [DCE UA P=0]
    01 63

    [DCE UA P=1]
    01 73

    #
    #   end of lapb.dat
    #

Although pltdrv does not use the LAPB protocol, these frames
could be used to test whether a LAPB link can be established
over a  particular physical connection.

**************************************************************
*                          End of file                       *
**************************************************************
USINGPLTDRV
}

1;

#******************************************************************************
#                                   End of File                               *
#******************************************************************************
