#!/bin/perl
#******************************************************************************
#                                                                             *
#                                 LayGO (tm)                                  *
#            Copyright (c) 1998-2000 by Advanced Relay Corporation            *
#                            All rights reserved.                             *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/statistics.pl $
#
#      $Id: statistics.pl 1.1 2000/02/29 17:51:48 tiktin Release $
#
#  MODULE DESCRIPTION
#
#    Exports statistics table access routines.
#
#******************************************************************************

use strict;
use Laygo;

require 'hex.pl';

sub formatStatisticsTable
{
	my ($data, $layer) = @_;
	my $count	= hexGetShort($data, 8);
	my @stats	= lgo_StatisticMessages($layer);
	my $s		= sprintf("Statistics for %s layer:\t\t", lgo_ProtocolMessage($layer)) ;
	my $i;
	my $j;

	$s .= sprintf("%10d : bytes sent\t", hexGetLong($data, 0));
	$s .= sprintf("%10d : bytes received\t", hexGetLong($data, 4));

	for ($i = 0, $j = 10; $i < $count; $i++, $j += 2)
	{
		$s .= sprintf("%10d : %s\t", hexGetShort($data, $j), $stats[$i]);
	}

	$s .= "\n";

	return $s;
}

1;

#******************************************************************************
#                                  End of File                                *
#******************************************************************************
