#!/bin/perl
#******************************************************************************
#                                                                             *
#                                 LayGO (tm)                                  *
#            Copyright (c) 1998-2000 by Advanced Relay Corporation            *
#                            All rights reserved.                             *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/status.pl $
#
#      $Id: status.pl 1.1 2000/02/29 17:51:48 tiktin Release $
#
#  MODULE DESCRIPTION
#
#    Exports status report access routines.
#
#******************************************************************************

use strict;
use Laygo;

require 'hex.pl';

sub formatStatusReport
{
	my $status = shift;
	my $count	= hexGetShort($status, 0);
	my $s		= "";
	my $i;
	my $j;

	for ($i = 0, $j = 2; $i < $count; $i++, $j += 18)
	{
		$s .= sprintf("Status of layer: '%s' <%d,%d>\t",
				lgo_ProtocolMessage(hexGetShort($status, $j+0)),
				hexGetShort($status, $j+2),
				hexGetShort($status, $j+4));
		$s .= sprintf("   State:      %s\t",
				lgo_StateMessage(hexGetShort($status, $j+6)));
		$s .= sprintf("   Blocked?:   %s\t",
				hexGetShort($status, $j+8)  != 0 ? "True" : "False");
		$s .= sprintf("   Blocking?:  %s\t",
				hexGetShort($status, $j+10) != 0 ? "True" : "False");
		$s .= sprintf("   [Up %d] [Down %d] [Control %d]\t\t",
				hexGetShort($status, $j+12),
				hexGetShort($status, $j+14),
				hexGetShort($status, $j+16));
	}
	$s .= "\n";

	return $s;
}

1;

#******************************************************************************
#                                  End of File                                *
#******************************************************************************
